aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 12:44:38 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 12:44:38 +0000
commit923bc4ad7880160334186d8a1fa4ea39ccffb1d2 (patch)
tree61f1dd554a05d3a9f67e05cce2a1d1da27c099cb /unmaintained
parent8eebd03da3f2544353a29f23d659d979215cab1b (diff)
downloadaports-923bc4ad7880160334186d8a1fa4ea39ccffb1d2.tar.gz
aports-923bc4ad7880160334186d8a1fa4ea39ccffb1d2.tar.bz2
aports-923bc4ad7880160334186d8a1fa4ea39ccffb1d2.tar.xz
testing/libqb: moved to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/libqb/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/unmaintained/libqb/APKBUILD b/unmaintained/libqb/APKBUILD
new file mode 100644
index 0000000000..1642824efb
--- /dev/null
+++ b/unmaintained/libqb/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libqb
+pkgver=0.16.0
+pkgrel=1
+pkgdesc="An IPC library for high performance servers"
+url="https://github.com/clusterlabs/libqb/wiki"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://fedorahosted.org/releases/q/u/quarterback/libqb-$pkgver.tar.xz"
+
+_builddir="$srcdir"/libqb-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="51d2ca372c6b8151bf3544d93bcdc8db libqb-0.16.0.tar.xz"
+sha256sums="b8cda1efb33d0ce991aad552bbd71b59c16038c2095d139644a95b5b5ea17f48 libqb-0.16.0.tar.xz"
+sha512sums="5d8d6ee6e82717127d270cd1cbf0923592dd9ffda9a18f9b7c8f61b2f156d04d794ec6166ca0c2a536639fcf61c25354ececab1379b4a0c310252eebf5d68635 libqb-0.16.0.tar.xz"